Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.Converters.FromTimeSpanToHoursString Class Reference

Converter from TimeSpan to string representation HH:MM:SS.SSS More...

Inheritance diagram for Microscopic_Traffic_Simulator.Converters.FromTimeSpanToHoursString:

## Public Member Functions
object | Convert (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert from TimeSpan to string representation HH:MM:SS.SSS More...
object | ConvertBack (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Not implemented conversion from string to TimeSpan More...
object | Convert (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert from TimeSpan to string representation HH:MM:SS.SSS More...
object | ConvertBack (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Not implemented conversion from string to TimeSpan More...

## Detailed Description

Converter from TimeSpan to string representation HH:MM:SS.SSS

Definition at line 9 of file FromTimeSpanToHoursString.cs.

## Member Function Documentation

object Microscopic_Traffic_Simulator.Converters.FromTimeSpanToHoursString.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert from TimeSpan to string representation HH:MM:SS.SSS

Parameters

  value | Time.
  targetType | Target type which is string.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  String representation of time (HH:MM:SS.SSS).

Definition at line 19 of file FromTimeSpanToHoursString.cs.

object Microscopic_Traffic_Simulator.Converters.FromTimeSpanToHoursString.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert from TimeSpan to string representation HH:MM:SS.SSS

Parameters

  value | Time.
  targetType | Target type which is string.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  String representation of time (HH:MM:SS.SSS).

Definition at line 19 of file FromTimeSpanToHoursString.cs.

object Microscopic_Traffic_Simulator.Converters.FromTimeSpanToHoursString.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Not implemented conversion from string to TimeSpan

Parameters

  value | String with time.
  targetType | Target type which is TimeSpan.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  Object of type TimeSpan.

Definition at line 37 of file FromTimeSpanToHoursString.cs.

object Microscopic_Traffic_Simulator.Converters.FromTimeSpanToHoursString.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Not implemented conversion from string to TimeSpan

Parameters

  value | String with time.
  targetType | Target type which is TimeSpan.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  Object of type TimeSpan.

Definition at line 37 of file FromTimeSpanToHoursString.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Converters/FromTimeSpanToHoursString.cs